8.3. List Teams by Owner


Description

Get a list of teams owned by a particular user, specified with the owner parameter.

Method and URL Structure

Expand
Method URL Structure
GET /broker/rest/teams

Request Parameters

Expand
Name Description Required Default
owner List teams owned by specified user, or @self for current user Yes

See Section A.4, “Teams” for more information on request parameters for this resource.
Request

{
  "owner": "@self"
}

cURL Command Example

$ curl -X GET https://openshift.redhat.com/broker/rest/teams --user user@example.com:password --data-urlencode owner=@self

JSON Response

The API returns a list of teams owned by the specified user. The related resource links returned by the API have been left out for brevity.

{
  "api_version": 1.6,
  "data": [
    {
      "id": "5333d8b2a9429d1c3e0000ae",
      "links": {
        "GET": {
          "href": "https://openshift.redhat.com/broker/rest/team/5333d8b2a9429d1c3e0000ae",
          "method": "GET",
          "optional_params": [

          ],
          "rel": "Get team",
          "required_params": [

          ]
        },
........
        
      },
      "name": "myteam"
    }
  ],
  "messages": [
    {
      "exit_code": 0,
      "field": null,
      "index": null,
      "severity": "info",
      "text": "Listing teams for user user@example.com"
    }
  ],
  "status": "ok",
  "supported_api_versions": [
    1.0,
    1.1,
    1.2,
    1.3,
    1.4,
    1.5,
    1.6
  ],
  "type": "teams",
  "version": "1.6"
}

Red Hat logoGithubredditYoutubeTwitter

Learn

Try, buy, & sell

Communities

About Red Hat

We deliver hardened solutions that make it easier for enterprises to work across platforms and environments, from the core datacenter to the network edge.

Making open source more inclusive

Red Hat is committed to replacing problematic language in our code, documentation, and web properties. For more details, see the Red Hat Blog.

About Red Hat Documentation

Legal Notice

Theme

© 2026 Red Hat
Back to top